package com.alibaba.druid.sql.dialect.mysql.ast.statement;

import com.alibaba.druid.sql.ast.statement.SQLSelect;
import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MySqlUpdatePlanCacheStatement extends MySqlStatementImpl implements MySqlShowStatement {
   private SQLSelect formSelect;
   private SQLSelect toSelect;

   public SQLSelect getFormSelect() {
      return this.formSelect;
   }

   public void setFormSelect(SQLSelect formSelect) {
      this.formSelect = formSelect;
   }

   public SQLSelect getToSelect() {
      return this.toSelect;
   }

   public void setToSelect(SQLSelect toSelect) {
      this.toSelect = toSelect;
   }

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.formSelect);
         this.acceptChild(visitor, this.toSelect);
      }

      visitor.endVisit(this);
   }
}
